If I use api v4 (JS), I can not work the general keyboard shortcuts in my site.


  • Paid API user

    If I use api v4 (JS), I can not work the general keyboard shortcuts in my site.

    Keyboard shortcuts that can not be used are:

    • Copy, Paste. (Ctrl + C, Ctrl + P)
    • Move link with tab. (Tab)
    • Focus to address bar. (Ctrl + L)
    • Reload the page. (Ctrl + R)
      etc..

    This is so inconvenience for the user.
    If the user can not use the keyboard shortcuts at the api v4, we can not set api v4 in our site.
    Api v3 (iFrame) is no problem. we use api v3 now.
    Please fix to be able to use the keyboard shortcuts at the api v4.

    OS and browser that can not be used are:

    • Windows: Chrome, Edge
    • Mac: Chrome, Firefox, Safari
      (Internet Explorer 11 can not load the JS of api v4)

    The site that can not be used are:

    • Our test site.
    • Windy api site.
      https://api4.windy.com/
      (I can not copy and paste the api code, it is so inconvenient.)

    Thank you.



  • we are anchor at yu xing nao


  • Administrator

    This is BUG and will be fixed



  • Hi @ivo. Any news on this one? This is a blocker for me too. Looks like the API registers a "keydown" event listener on body and then prevents propagation (preventDefault) - swallowing the event. Renders all form elements inoperative.


  • Administrator

    Will be fixed soon


Log in to reply
 

Windyty, S.E. - all rights reserved. Powered by excellent NodeBB
NodeBB & contributors, OSM & contributors, HERE maps

Looks like your connection to Windy Community was lost, please wait while we try to reconnect.